<?php

//
// phpIpacstats - A web frontend for ipac[-ng]
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// $Id: image.php,v 1.5 2002/03/29 17:14:06 bene Exp $
// file: image.php 
// function: return the png image that is passed in the $image parameter 
//           with some extra http headers to prevent caching and force 
//           reload by the browser.
//           only returns .png files from $data_dir directory for security 
//	     reasons. 

require('config.php');

header("Pragma: no-cache");
header("Expires: 0");
$notfound="notfound.png";
if (ereg("^$data_dir/[a-zA-Z_\.]+\.(png|gif)$",$image)) {
    if (is_readable($image) and $fp = fopen($image, 'rb')) {
	header("Content-Type: image/png");
        $content = fread($fp, filesize($image));
        printf("%s",$content);
    } else {
	$image = ereg_replace("\.png$", ".gif", $image);
	if (is_readable($image) and $fp = fopen($image, 'rb')) {
	    header("Content-Type: image/gif");
	    $content = fread($fp, filesize($image));
	    printf("%s",$content);
	}
    }

} else {
    if (is_readable($notfound) and $fp = fopen($notfound, 'rb')){
	$content = fread($fp, filesize($notfound));
	printf("%s",$content);
    }
}
?>
