<?php
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// $Id: configuration.php,v 1.2 2002/03/13 17:07:54 bene Exp $

//echo "<div align=\"center\">";
unset($update_form);
$update_form .= <<<EOD
	<form method="POST" action="$PHP_SELF">
	<table border="0" width="100%">
	  <tr>
	    <td valign="middle"><b>{$text[time]}:</b></td>
	    <td rowspan="3" width="70%">
		<table border="0">
		  <tr>
		    <td>
		       <input type="radio" name="Time_Method" value="Pre_Frame" {$radiobuttons[Pre_Frame]}>
		       &nbsp;&nbsp;
		    </td>
		    <td>
		      {$text[timeframe]}&nbsp;
		      <select name="timeframe">

EOD;

function append_option($time) {
  global $update_form,$text,$timeframe;
  $update_form .= "\t\t\t<option value=\"".$time."\"";
  if ($timeframe == $time) {
    $update_form .= " selected";
  }
  $update_form .= ">".$text["$time"]."</option>\n";
}
append_option("this hour");
append_option("last hour");
append_option("today");
append_option("yesterday");
append_option("the day before yesterday");
append_option("this week");
append_option("last week");
append_option("this month");
append_option("last month");
append_option("this year");
append_option("last year");

$update_form .=<<<EOD
		      </select>
		    </td>
		  </tr>
		  <tr>
		    <td valign="top">
		    <input type="radio" name="Time_Method" value="Abs" {$radiobuttons[Abs]}>&nbsp;&nbsp;
		    </td>
		    <td>{$text[absolute]}
			<table border="0">
			  <tr>
			    <td>
				{$text[start]}
			    </td>
			    <td>
				<input type="text" name="Start_Date" size="12" maxlength="10" value="$Start_Date">
				&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="text" name="Start_Time" size="10" maxlength="8" value="$Start_Time">
			    </td>
			  </tr>
			  <tr>
			    <td>{$text['end']}
			    </td>
			    <td>
				<input type="text" name="End_Date" size="12" maxlength="10" value="$End_Date">
				&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="text" name="End_Time" size="10" maxlength="8" value="$End_Time">
			    </td>
			  </tr>
			</table>
		    </td>
		  </tr>
		</table>
	    </td>
	    <td><b>{$text[language]}:</b>
	    </td>
	    <td width="30%">
		<select name="lng">\n
EOD;

$dir = opendir('includes/lang/');
while (($file = readdir($dir))!==false) {
    if ($file != 'CVS' && $file != '.' && $file != '..') {
        $file = ereg_replace('.php', '', $file);
        if ($lng == $file) {
            $update_form .= "\t\t  <option value=\"$file\" selected>$file</option>\n";
        } else {
            $update_form .= "\t\t  <option value=\"$file\">$file</option>\n";
        }
    }
}
closedir($dir);
$update_form .= <<<EOD
		</select>
	    </td>
	  </tr>
	  <tr>
	    <td></td>
	    <td><b>{$text[template]}:</b>
	    </td>
	    <td>
		<select name="template">\n
EOD;

$dir = opendir('templates/');
while (($file = readdir($dir))!==false) {
    if ($file != 'CVS' && $file != '.' && $file != '..') {
        if ($template == $file) {
            $update_form .= "\t\t  <option value=\"$file\" selected>$file</option>\n";
        } else {
            $update_form .= "\t\t  <option value=\"$file\">$file</option>\n";
        }
    }
}
closedir($dir);
$update_form .= <<<EOD
		</select>
	    </td>
	  </tr>
	  <tr>
	    <td></td>
	    <td></td>
	    <td>
		<input type="submit" value="{$text[submit]}">
	    </td>
	  </tr>
	</table>
	</form>\n
EOD;
//print $update_form;

$tpl->set_var('config', makebox($text['config'], $update_form, '100%'));
?>

