<?php

//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// $Id: inputcheck.php,v 1.1 2002/03/13 18:14:06 bene Exp $
// File: inputcheck.php
// Function: check if start date, end date, start time and end time
//           are correct.

      // start date
    if (!checkdigits($startdate_ar)) {
	$Time_Method = "Pre_Frame";
	$errorcode = $errorcode | 1;
    }
    if ($startdate_ar[0]<1970 or $startdate_ar[0]>2100){
	$Time_Method = "Pre_Frame";
	$errorcode = $errorcode | 1;
    }
    if (!checkdate($startdate_ar[1],$startdate_ar[2],$startdate_ar[0])) {
	$Time_Method = "Pre_Frame";
	$errorcode = $errorcode | 1;
    }
    
      // start time
    if (!checkdigits($starttime_ar)){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 2;
    }
    if ($starttime_ar[0]<0 || $starttime_ar[0]>23){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 2;
    }
    if ($starttime_ar[1]<0 || $starttime_ar[1]>59){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 2;
    }
    if ($starttime_ar[2]<0 || $starttime_ar[2]>59) {
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 2;
    }

      // end date
    if (!checkdigits($enddate_ar)){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 4;
    }
    if ($enddate_ar[0]<1970 or $enddate_ar[0]>2100){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 4;
    }
    if (!checkdate($enddate_ar[1],$enddate_ar[2],$enddate_ar[0])) {
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 4;
    }


      // end time
    if (!checkdigits($endtime_ar)){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 8;
    }
    if ($endtime_ar[0]<0 || $endtime_ar[0]>23){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 8;
    }
    if ($endtime_ar[1]<0 || $endtime_ar[1]>59){
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 8;
    }
    if ($endtime_ar[2]<0 || $endtime_ar[2]>59) {
        $Time_Method = "Pre_Frame";
        $errorcode = $errorcode | 8;
    }


// returns true if all values in the array consist of digits, otherwise false
function checkdigits($array) {
    while (list ($key, $val) = each ($array)) {
	if (!(ereg("^[0-9]+$",$val))) {
	    return false;
	}
    }
    return true;

}


?>
