#!/usr/bin/perl
# $Id: buildoc.pl,v 1.3 2002/03/13 17:09:30 bene Exp $

# this script converts the sgml-docs into txt,html and ps (latex) files


@files = ('readme.sgml','changelog.sgml');

foreach $name (@files) {
    my $ret;
    $ret = system(qq[sgml2txt -f $name]);
        $ret = $ret / 256;
	if ($ret ne 0) {
	    print "build of $name (txt) failed, skipping to next file...\n";
	    next;
	}
    $ret = system(qq[sgml2html $name]);
	$ret = $ret / 256;
	if ($ret ne 0) {
	    print "build of $name (html) failed, skipping to next file...\n";
	    next;
	}
    $ret = system(qq[sgml2latex $name]);
	$ret = $ret / 256;
	if ($ret ne 0) {
	    print "build of $name (latex) failed, skipping to next file...\n";
	    next;
	}
    $basename = $name;
    $basename =~ s/\.sgml$//;
    $ret = system(qq[latex $basename.tex >/dev/null]);
	$ret = $ret / 256;
	if ($ret ne 0) {
	    print "compile of $texfile failed..\n";
	}

    $ret = system(qq[dvips -o $basename.ps $basename.dvi >/dev/null 2>&1]);
	$ret = $ret / 256;
	if ($ret ne 0) {
	    print "generation of $basename (postscript) failed...\n";
	}

}
