#!/usr/bin/perl

# $Id: release.pl,v 1.2 2002/03/29 17:16:26 bene Exp $
#
# this script generates new release files
# please tag with "cvs rtag  <tag> phpipacstats" first

my $ret;
$tag = shift @ARGV;         # like v1_0
$version = shift @ARGV;	    # like 1.0

print "tag: $tag\n";
print "version: $version\n\n";
chdir "/tmp";
$ret = system(qq[cvs export -r $tag -d phpIpacStats-$version phpipacstats]);
$ret = $ret / 256;
die "export failed" if $ret ne 0;
print "="x70;
print "\n\n";

$ret = system(qq[tar cvfz phpIpacStats-$version.tar.gz phpIpacStats-$version]);
die "build of tar.gz failed" if ($ret / 256) ne 0;
$ret = system(qq[tar cvfj phpIpacStats-$version.tar.bz2 phpIpacStats-$version]);
die "build of tar.bz2 failed" if ($ret / 256) ne 0;

